<?php
// $Id: attendee.php 45 2006-08-23 11:02:21Z yosha_01 $
require '../../../include/cp_header.php';
require '../class/attendee.php';
require_once '../class/xoopssimplecontroller.php';

class DiscussAttendeeAdminList extends XoopsTableObjectList
{
	function DiscussAttendeeAdminList() {
		$this->addElement('attendee_id', '#', 20, array('sort'=>true));
		$this->addElement('discuss_id', 'discuss', 100, array('sort'=>true, 'filter'=>true, 'method'=>'id2name', 'class'=>'discuss'));
		$this->addElement('uid', 'uid', 20, array('sort'=>true, 'filter'=>true));
		$this->addElement('uname', 'uname', 100);
		$this->addElement('ip',  'ip', 50);
		$this->addElement('updated',  'updated', 150, array('sort'=>true, 'method'=>'time2str'));
		$this->addElement('status',  'status', 50, array('sort'=>true, 'filter'=>true, 'method'=>'key2val', 'var_arr'=>array(0=>'inactive',1=>'active')));
		$this->addElement('__SimpleDeleteLink__','',50);
	}
}

$simpleAdmin =& new xoopsSimpleAdminController('DiscussAttendee', _AD_DISCUSS_LANG_ATTENDEE);
$simpleAdmin->allowedOp = array('list','delete','deleteok','deleteall','deleteallok');
$simpleAdmin->execute();
?>